summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/NEWS.Debian124
-rw-r--r--debian/README.debian12
-rw-r--r--debian/Tome.sh70
-rw-r--r--debian/Xresources166
-rw-r--r--debian/changelog758
-rw-r--r--debian/compat1
-rw-r--r--debian/control58
-rw-r--r--debian/copyright313
-rwxr-xr-xdebian/rules87
-rw-r--r--debian/source/format1
-rw-r--r--debian/tome.docs3
-rw-r--r--debian/tome.menu90
-rw-r--r--debian/tome.postinst253
-rw-r--r--debian/tome.postrm175
-rw-r--r--debian/tome.preinst103
-rw-r--r--debian/tome.prerm133
-rw-r--r--debian/watch5
-rw-r--r--src/config.h6
18 files changed, 2355 insertions, 3 deletions
diff --git a/debian/NEWS.Debian b/debian/NEWS.Debian
new file mode 100644
index 00000000..50a4635f
--- /dev/null
+++ b/debian/NEWS.Debian
@@ -0,0 +1,124 @@
+tome (2.4~0.git.2015.12.29-1) unstable; urgency=low
+
+ New upstream git pull
+ .
+ WARNING: This is a pre-release of a new version. The savefile format
+ has changed. YOUR OLD SAVES WILL NOT LOAD.
+ .
+ This is a pretty major refresh. LUA has gone. The code has moved to
+ C++. There are probably unknown bugs. There are also other changes: No
+ more autoroller..
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 27 Jan 2016 13:25:44 -0800
+
+tome (2.3.11-ah-2) unstable; urgency=low
+
+ T.o.M.E 2.3.10 (ah)
+
+ User Interface:
+
+ - Always display list of selectable objects, i.e. remove the option of
+ pressing '*' to hide list.
+ - GTK2: Allow running with Shift + arrow keys. (Thanks to Lord
+ Estraven.)
+ - SDL fixes. (Thanks to Lord Estraven.)
+ - System-wide character scores were removed. Use the ladder at
+ http://angband.oook.cz instead.
+ - Panic saves are no longer created. Saving state when memory is
+ likely corrupted seems like a bad idea.
+ - Remove long-obsolete front-ends.
+ - Unix: Removed pointless and error-prone signal handling aimed at
+ preventing cheating.
+ - Removed gamma correction.
+
+ Game:
+
+ - Killerbunnies: Character dump now lists companions.
+ - Killerbunnies: Fix dodge messages.
+ - Imported Theme 1.2.0 since this excellent module by Furiosity seems
+ to not be downloadable any more.
+ - Further Thaumaturgy tweaks by Lord Estraven
+
+ T.o.M.E 2.3.9 (ah)
+
+ User Interface:
+
+ - Always display list of selectable objects immediately
+ instead of requiring user to press '*'.
+ - Fix display issues with extremely wide terminals.
+ - Automatizer: Fix memory corruption issues.
+ - Remove obsolete and pointless options.
+
+ Game:
+
+ - Items are now immediately pseudo-identified upon pickup.
+ - Psycometry now always Identifies regardless of level.
+ - Remove the need to instantly leave for a certain quest. Lots
+ of players would get caught out by this.
+ - A few Mindcraft powers now scale with skill level. (Credit
+ for these goes to Lord Estraven.)
+ - "Far reaching attack" now works for *all* polearms.
+ - Fixes and tweaks for Thaumaturgy to make view/area spells less
+ overpowered and to make bolt/ball spells more useful. (Credit
+ goes to Lord Estraven.)
+
+ T.o.M.E 2.3.8 (ah)
+
+ Game:
+
+ - Fix duration display for the Shapeshift Mimicry power. Thanks
+ to morchant for the fix.
+ - Fix for creating "inventory" and "equipment" rules from the
+ Automatizer UI. Thanks to morchant for the fix.
+ - Fix for Lua code which should hopefully get things working better
+ for OpenBSD users. Thanks to Kernigh for the patch.
+ - Change "molten glass wall" to use a different internal code to
+ hopefully avoid clashes with modules such as Theme.
+ - Removed the check on low fuel on your light source when traveling.
+ It doesn't make sense since you can already travel without any light
+ equipped.
+
+ T.o.M.E 2.3.7 (ah)
+
+ - Remove item pval from antimagic field strength calculation since it
+ may be both non-zero and invisible (to the player).
+ - Miscellaneous 64 bit fixes.
+ - Fix Lua errors when hitting <ESC> while choosing spell.
+ - Killerbunnies: Automatizer: Add patch which adds new <inventory/>
+ and <equipment/> rules.
+ - Killerbunnies: Add "you do not know all your fate" to Fate menu
+ if you haven't been discovered all your fates.
+ - Killerbunnies: Display a message if trying to activate Piercing Shots
+ without the necessary skill levels.
+
+ T.o.M.E 2.3.6 (ah)
+
+ - Don't generate impassable glass walls.
+ - Mark *all* quest monsters properly.
+ - Avoid generating up staircases in selected dungeons.
+ - Mimicry cloaks of Abomination now aggravate properly.
+ - Properly handle item set effects with certain traps.
+ - Fix crash bug during character dumps.
+ - Misc. Mimicry fixes.
+ - Prevent immunities from Balrog Form persisting too long.
+ - Fix for loading/saving on Linux distribution using Fortify.
+ - Fix for module directory paths.
+ - Fix miscellaneous problems on 64-bit platforms.
+ - Princess room should now always be generated.
+ - Extra Blows applies to barehand combat too.
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 14 May 2014 23:56:28 -0700
+
+tome (2.3.1-1) unstable; urgency=low
+
+ * Yet again, the save file format has changed incompatibly, requiring
+ that a new character be created from scratch.
+
+ -- Manoj Srivastava <srivasta@debian.org> Sun, 23 Jan 2005 10:57:26 -0600
+
+tome (2.3.0-1) unstable; urgency=low
+
+ * This version changed the save format, so older save files can not be
+ read by this version.
+
+ -- Manoj Srivastava <srivasta@debian.org> Sun, 23 Jan 2005 10:56:42 -0600
diff --git a/debian/README.debian b/debian/README.debian
new file mode 100644
index 00000000..a406ad64
--- /dev/null
+++ b/debian/README.debian
@@ -0,0 +1,12 @@
+This is the Debian GNU/Linux prepackaged version of the rogue-like game
+"Troubles on Middle Earth" (tome). Tome has been derived from Angband,
+which itself has been written by several generations of
+programmers over the years, and is derived from an earlier game called
+moria.
+
+This package was put together by Manoj Srivastava <srivasta@debian.org>,
+from sources retrieved from directories under
+<URL:ftp://clockwork.dementia.org/angband/Variant/ToME/>
+
+arch-tag: f25f6a43-5a92-4b97-8ecf-0439ecacd45e
+
diff --git a/debian/Tome.sh b/debian/Tome.sh
new file mode 100644
index 00000000..1db52c3d
--- /dev/null
+++ b/debian/Tome.sh
@@ -0,0 +1,70 @@
+#!/bin/bash
+# -*- Mode: Sh -*-
+# Tome.sh ---
+# Author : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com )
+# Created On : Fri Aug 1 22:01:26 2003
+# Created On Node : glaurung.green-gryphon.com
+# Last Modified By : Manoj Srivastava
+# Last Modified On : Mon Nov 24 22:21:23 2003
+# Last Machine Used: glaurung.green-gryphon.com
+# Update Count : 2
+# Status : Unknown, Use with caution!
+# HISTORY :
+# Description :
+#
+# arch-tag: e93eb0c0-615f-490e-a30b-3b3c78d8bd91
+#
+
+# Describe attempt
+echo "Launching ToME..."
+sleep 2
+
+# Main window
+export ANGBAND_X11_FONT_0=9X15
+export ANGBAND_X11_AT_X_0=5
+export ANGBAND_X11_AT_Y_0=510
+
+# Message window
+export ANGBAND_X11_FONT_1=7x13
+export ANGBAND_X11_AT_X_1=5
+export ANGBAND_X11_AT_Y_1=22
+export ANGBAND_X11_ROWS_1=18
+
+# Inventory window
+export ANGBAND_X11_FONT_2=7x13
+export ANGBAND_X11_AT_X_2=635
+export ANGBAND_X11_AT_Y_2=182
+export ANGBAND_X11_ROWS_3=23
+
+# Equipment window
+export ANGBAND_X11_FONT_3=7x13
+export ANGBAND_X11_AT_X_3=635
+export ANGBAND_X11_AT_Y_3=22
+export ANGBAND_X11_ROWS_3=13
+
+# Monster recall window
+export ANGBAND_X11_FONT_4=6x9
+export ANGBAND_X11_AT_X_4=817
+export ANGBAND_X11_AT_Y_4=847
+export ANGBAND_X11_COLS_4=76
+export ANGBAND_X11_ROWS_4=11
+
+# Object recall window
+export ANGBAND_X11_FONT_5=6x9
+export ANGBAND_X11_AT_X_5=817
+export ANGBAND_X11_AT_Y_5=520
+export ANGBAND_X11_COLS_5=76
+export ANGBAND_X11_ROWS_5=15
+
+export ANGBAND_X11_FONT_6=6x9
+export ANGBAND_X11_FONT_7=6x9
+# Gamma correction
+export ANGBAND_X11_GAMMA=142
+
+# Launch Angband
+# Adam bolt
+tome -mxaw -- -s -n7 &
+#angband -mxaw -- -n7 &
+#angband -mx11 -- -n7 &
+#angband -mxpj -- -n7 &
+
diff --git a/debian/Xresources b/debian/Xresources
new file mode 100644
index 00000000..aad56304
--- /dev/null
+++ b/debian/Xresources
@@ -0,0 +1,166 @@
+
+ X Resources for ToME
+ = ========= === ====
+
+
+>I want to control the angband windows better, like give them automatic
+>placement on the screen, resize (the recall window is too large) and smaller
+>fonts.
+
+After you've built it, you have to configure your ~/.Xdefaults file to
+take advantage of the new functionality.
+
+My own X Resources look like this (on a 1152x900 screen):
+
+angband*angband*font: 12x24
+angband*angband*geometry: +0+-20
+angband*recall*font: 7x13
+angband*recall*geometry: 80x10+0+586
+angband*choice*font: 7x13
+angband*choice*geometry: -0-0
+
+For a smaller screen size, these are probably better
+
+angband*angband*font: 9x15
+angband*angband*geometry: +300+220
+angband*recall*font: 7x13
+angband*recall*geometry: 80x15+460+0
+angband*choice*font: 7x13
+angband*choice*geometry: +0+440
+angband*mirror*font: 7x13
+angband*mirror*geometry: 80x15+460+590
+angband*color6: #3070f0
+angband*color7: #907027
+angband*term-4*iconic: true
+angband*term-5*iconic: true
+angband*term-6*iconic: true
+angband*term-7*iconic: true
+
+You could also try modifying these:
+
+Angband*term-4.font (or geometry)
+Angband*term-5.font (or geometry)
+Angband*term-6.font (or geometry)
+Angband*term-7.font (or geometry)
+
+You'll almost certainly want to change the numbers to suit your taste,
+screen size, resolution, monitor darkness, etc. This just gives you an
+idea of the format.
+
+It's also possible to change the colors using X Resources, the
+standard colors would look like:
+
+angband*color0: #000000
+angband*color1: #ffffff
+angband*color2: #a6a6a6
+angband*color3: #ff6302
+angband*color4: #ca0808
+angband*color5: #008e18
+angband*color6: #0000e3
+angband*color7: #814007
+angband*color8: #6b6b6b
+angband*color9: #d6d6d6
+angband*color10: #5100c2
+angband*color11: #fdf105
+angband*color12: #ff9259
+angband*color13: #26cf17
+angband*color14: #02b2f2
+angband*color15: #b28b48
+
+And the newer colors look like:
+
+angband*color0: #000000
+angband*color1: #ffffff
+angband*color2: #d7d7d7
+angband*color3: #ff9200
+angband*color4: #ff0000
+angband*color5: #00cd00
+angband*color6: #0000fe
+angband*color7: #c86400
+angband*color8: #a3a3a3
+angband*color9: #ebebeb
+angband*color10: #a500ff
+angband*color11: #fffd00
+angband*color12: #ff00bc
+angband*color13: #00ff00
+angband*color14: #00c8ff
+angband*color15: #ffcc80
+
+Some older monochrome monitors have problem with white text on black
+background. The new code can handle the reverse situation if the user
+wants/needs this.
+
+The following X Resources gives black text on white background using
+Angband/Xaw. The other colors (2-15) isn't changed, since they're not
+used on a monochrome monitor.
+
+angband*color0: #ffffff
+angband*color1: #000000
+
+______________________________________________________________________
+Yet another example:
+angband*angband*font: 9x15
+angband*angband*geometry: +300+220
+
+angband*choice*font: 7x13
+angband*choice*geometry: +0+440
+
+angband*mirror*font: 7x13
+angband*mirror*geometry: 80x15+460+590
+
+angband*recall*font: 7x13
+angband*recall*geometry: 80x15+460+0
+
+angband*term-1*font: 7x13
+angband*term-1*geometry: 80x15+460+0
+
+angband*term-2*font: 7x13
+angband*term-2*geometry: +0+440
+
+angband*term-3*font: 7x13
+angband*term-3*geometry: 80x15+460+590
+
+angband*term-4*iconic: true
+angband*term-5*iconic: true
+angband*term-6*iconic: true
+angband*term-7*iconic: true
+
+angband*color0: #000000
+angband*color1: #ffffff
+angband*color2: #a6a6a6
+angband*color3: #ff6302
+angband*color4: #ca0808
+angband*color5: #008e18
+angband*color6: #0000e3
+angband*color7: #814007
+angband*color8: #6b6b6b
+angband*color9: #d6d6d6
+angband*color10: #5100c2
+angband*color11: #fdf105
+angband*color12: #ff9259
+angband*color13: #26cf17
+angband*color14: #02b2f2
+angband*color15: #b28b48
+______________________________________________________________________
+
+ Resources:
+
+Name Class RepType Default Value
+---- ----- ------- -------------
+background Background Pixel XtDefaultBackground
+border BorderColor Pixel XtDefaultForeground
+borderWidth BorderWidth Dimension 1
+cursor Cursor Cursor None
+cursorName Cursor String NULL
+destroyCallback Callback Pointer NULL
+height Height Dimension 0
+insensitiveBorder Insensitive Pixmap Gray
+mappedWhenManaged MappedWhenManaged Boolean True
+pointerColor Foreground Pixel XtDefaultForeground
+pointerColorBackground Background Pixel XtDefaultBackground
+sensitive Sensitive Boolean True
+width Width Dimension 0
+x Position Position 0
+y Position Position 0
+
+!arch-tag: 2d36068f-a924-402b-a411-cd91be556609
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 00000000..f75cddc4
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,758 @@
+tome (2.4~0.git.2015.12.29-1) unstable; urgency=low
+
+ * New upstream git pull
+ * WARNING: This is a pre-release of a new version. The savefile format
+ has changed. YOUR OLD SAVES WILL NOT LOAD.
+ * This is a pretty major refresh. LUA has gone. The code has moved to
+ C++. There are probably unknown bugs.
+ * Bug fix: "Fails to execute gtk2 interface because of setguid", thanks
+ to falconbird. There is no GTK frontend anymore, so this is now moot.
+ (Closes: #750941).
+ * Updated the copyright to DEP-5, after rescanning the new soureces
+ using debmake -cc
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 27 Jan 2016 14:58:59 -0800
+
+tome (2.3.11-ah-3) unstable; urgency=low
+
+ * Update standards version to 3.9.6. No changes needed
+ * Update the VCS-* fields in the control file to use https
+ * Move to source format 1.0 and use dgit to release
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 27 Jan 2016 10:43:27 -0800
+
+tome (2.3.11-ah-2) unstable; urgency=low
+
+ * Modified the install paths to deploy to the FHS compliant
+ /usr/games/tome and /var/games/tome, as we have always done
+ * This is a major change, and includes theming. Some of the options have
+ changed. Because of this, the manual page has been removed; there is a
+ command line help option and in game help until the manual page is
+ rewritten.
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 14 May 2014 23:54:09 -0700
+
+tome (2.3.11-ah-1) unstable; urgency=low
+
+ * New upstream release, with minor bug fixes.
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 14 May 2014 20:40:47 -0700
+
+tome (2.3.10-ah-1) unstable; urgency=low
+
+ * New upstream release
+ User Interface:
+ - Always display list of selectable objects, i.e. remove the option of
+ pressing '*' to hide list.
+ - GTK2: Allow running with Shift + arrow keys. (Thanks to Lord
+ Estraven.)
+ - SDL fixes. (Thanks to Lord Estraven.)
+ - System-wide character scores were removed. Use the ladder at
+ http://angband.oook.cz instead.
+ - Panic saves are no longer created. Saving state when memory is
+ likely corrupted seems like a bad idea.
+ - Remove long-obsolete front-ends.
+ - Unix: Removed pointless and error-prone signal handling aimed at
+ preventing cheating.
+ - Removed gamma correction.
+ Game:
+ - Killerbunnies: Character dump now lists companions.
+ - Killerbunnies: Fix dodge messages.
+ - Imported Theme 1.2.0 since this excellent module by Furiosity seems
+ to not be downloadable any more.
+ - Further Thaumaturgy tweaks by Lord Estraven
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 14 May 2014 20:29:54 -0700
+
+tome (2.3.9-ah-1) unstable; urgency=low
+
+ * New upstream release
+ User Interface:
+ - Always display list of selectable objects immediately
+ instead of requiring user to press '*'.
+ - Fix display issues with extremely wide terminals.
+ - Automatizer: Fix memory corruption issues.
+ - Remove obsolete and pointless options.
+ Game:
+ - Items are now immediately pseudo-identified upon pickup.
+ - Psycometry now always Identifies regardless of level.
+ - Remove the need to instantly leave for a certain quest. Lots
+ of players would get caught out by this.
+ - A few Mindcraft powers now scale with skill level. (Credit
+ for these goes to Lord Estraven.)
+ - "Far reaching attack" now works for *all* polearms.
+ - Fixes and tweaks for Thaumaturgy to make view/area spells less
+ overpowered and to make bolt/ball spells more useful. (Credit
+ goes to Lord Estraven.)
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 14 May 2014 20:29:27 -0700
+
+tome (2.3.8-ah-1) unstable; urgency=low
+
+ * New upstream release
+ Game:
+ - Fix duration display for the Shapeshift Mimicry power. Thanks
+ to morchant for the fix.
+ - Fix for creating "inventory" and "equipment" rules from the
+ Automatizer UI. Thanks to morchant for the fix.
+ - Fix for Lua code which should hopefully get things working better
+ for OpenBSD users. Thanks to Kernigh for the patch.
+ - Change "molten glass wall" to use a different internal code to
+ hopefully avoid clashes with modules such as Theme.
+ - Removed the check on low fuel on your light source when traveling.
+ It doesn't make sense since you can already travel without any light
+ equipped.
+ Build System:
+ - Added support for building the GTK2 interface; only lightly tested.
+ - Miscellaneous fixes to the CMake files. Thanks to Kernigh for
+ contributing these.
+ * Now that we are using cmake, undo changes we made to Makefile.std
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 14 May 2014 19:38:32 -0700
+
+tome (2.3.7-ah-1) unstable; urgency=low
+
+ * New upstream maintenance release
+ - Remove item pval from antimagic field strength calculation since it
+ may be both non-zero and invisible (to the player).
+ - Miscellaneous 64 bit fixes.
+ - Fix Lua errors when hitting <ESC> while choosing spell.
+ - Killerbunnies: Automatizer: Add patch which adds new <inventory/>
+ and <equipment/> rules.
+ - Killerbunnies: Add "you do not know all your fate" to Fate menu
+ if you haven't been discovered all your fates.
+ - Killerbunnies: Display a message if trying to activate Piercing Shots
+ without the necessary skill levels.
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 14 May 2014 14:43:34 -0700
+
+tome (2.3.6-ah-1) unstable; urgency=medium
+
+ * Upstream development of version 2 has moved into maintenance mode,
+ with a new upstream git repository at:
+ git://gitorious.org/tome2/tome2.git
+ - Don't generate impassable glass walls.
+ - Mark *all* quest monsters properly.
+ - Avoid generating up staircases in selected dungeons.
+ - Mimicry cloaks of Abomination now aggravate properly.
+ - Properly handle item set effects with certain traps.
+ - Fix crash bug during character dumps.
+ - Misc. Mimicry fixes.
+ - Prevent immunities from Balrog Form persisting too long.
+ - Fix for loading/saving on Linux distribution using Fortify.
+ - Fix for module directory paths.
+ - Fix miscellaneous problems on 64-bit platforms.
+ - Princess room should now always be generated.
+ - Extra Blows applies to barehand combat too.
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 14 May 2014 13:49:42 -0700
+
+tome (2.3.5-4) unstable; urgency=low
+
+ * On purge, get rid of /var/games/tome directory (and all the score
+ files) (Closes: #663525).
+ * Bug fix #663525: "unowned files after purge (policy 6.8, 10.8)", thanks to
+ Andreas Beckmann
+
+ -- Manoj Srivastava <srivasta@debian.org> Mon, 05 May 2014 10:49:34 -0700
+
+tome (2.3.5-3) unstable; urgency=low
+
+ * New bug fixing release.
+ * Bug fix: "FTBFS due to binutils-gold", thanks to Bhavani Shankar
+ R. Added -lm toi the linker line. (Closes: #607552).
+ * Bug fix: "depends on obsolete libmikmod2 on powerpc", thanks to Julien
+ Cristau. This is not a direct dependency, so rebuilding should fix it.
+ (Closes: #742598).
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 30 Apr 2014 21:50:57 -0700
+
+tome (2.3.5-2) unstable; urgency=low
+
+ * [f4042dd] Fix code which needed a 32 bit int to not use int/long
+ On amd64, but not on i386, tome produces LUA errors at various
+ times. The errors occur at savefile load, when wileding a weapon,
+ unweilding a weapon, and for other events. The same homedir, same
+ savefiles, same config, same etc., does not produce errors in the
+ 32bit build of the package.
+
+ The error seems to be that the type Number needs to be a 32bit wide
+ integer; and seems to be defined by default as an long, with an option
+ to define it as an int for amd64. However, for the 11 arches Debian
+ supports, this would lead to a morass of selecting architectures in
+ the makefile to override the type; a better solution is to use
+ stdint.h and use a type which is 32 bits wide by design: int32_t.
+
+ Bug fix: "frequent LUA errors on amd64, possibly influencing game
+ logic", thanks to jrodman@debbugs.spamportal.net</a>; The fix was
+ inspired by a different fix proposed by Daniel White.
+
+ This fixes the LUA errors, and (Closes: Bug#419825)
+ This is an important bug fix.
+
+ -- Manoj Srivastava <srivasta@debian.org> Tue, 21 Oct 2008 08:36:01 -0500
+
+tome (2.3.5-1) unstable; urgency=low
+
+ * New upstream release
+ Interface changes:
+ - The X11 and Xaw interfaces now save the dungeon and player when the
+ window is closed.
+ - Fixed cpu churning bug that occurs when using certain window managers and
+ ToME is maximized.
+ Gameplay changes:
+ - Player speed now set correctly when Demon Hide corruption is enabled.
+ - ToME now correctly sets various Balrog flags when player in Balrog form.
+ - ToME now correctly sets the teleport flags when teleport corruption is
+ enabled.
+ - ToME now uses the qrand7.map file when generating princess quests.
+ - Bigs changes for generate.c to get it to produce the princess and thrain
+ rooms. Also code clean up of room geranation code.
+ Object changes:
+ - Slings of Buckland can now be generated.
+ - Wiki Bug 510. Added the WIELD_CAST flag to all artifact instruments to
+ fix problems when casting spells.
+ Misc changes:
+ - Fixed small typo in the commands help file.
+ - Added help for the Mathom House.
+ - Fixed various compile time warnings in various files.
+ - Added makefile support for main-gtk2.c in makefile.std
+ - Values found in documentation for spectral race modifiers now match values
+ found in p_info.txt.
+ - Wiki Bug 837. Removed references to old inscriptions handling code in
+ documentation.
+ - Wiki Bug 564. Do not use the word 'restrict' as a variable name anymore.
+ It conflicts with keywords used by the Sun Studio Compiler.
+ - Wiki Bug 517. Fixed incorrect descriptoin of artifacts in help files.
+ - Changed description of Disarm spell to more accurately reflect what it
+ does.
+ - ToME now correctly compiles main-gtk2.c on 64-bit machines.
+ Bug fixes:
+ - Wiki Bugs 841, 405, 360. Changes to get ToME to correctly build 64-bit
+ executables.
+ - Applied killerbunnies patch to identify objects on grid before squelching.
+ - Applied killer bunnies patch to keep the fate "you are fated to find
+ something special" from creating something special with an inappropriate
+ base object.
+ - Applied killerbunnies patch stops symbiotes from gaining levels simply
+ by being hypnotized and released.
+ - ToME now saves tim_fly, tim_poison, tim_regen and tim_regen_power.
+ - Stores now display the inventory correctly after a purchase.
+ - The race the legends display now works correctly with more than 10 dead
+ characters in history.
+ - Characters are no longer generated with 0 mana points.
+ - Wiki Bug 839. ToME no longer penalizes an object when it is not actually
+ cursed.
+ - Wiki Bug 838. The melee style will now switch correctly from Bear to the
+ primary melee style when switching out of Bear form.
+ - Wiki Bug 826. The inventory and equipment windows now update when the
+ player identifies the entire pack or uses the *Greater Identify* spell.
+ - Wiki Bug 819. No more bogus level leaving messages.
+ - Wiki Bug 722. ToME no longer crashes purple staircases have been trapped.
+ - Wiki Bug 624. Ensure savefiles go to save and not scpt when using modules.
+ - Wiki Bug 537. Partial fix of infinite loop during stair allocation on
+ small levels.
+ - Wiki Bug 530. ToME no longer drops items inappropriately when changing
+ melee styles.
+ - Wiki Bug 528. Character dumps now show the correct number of princess and
+ lost sword quests.
+ - Wiki Bug 526. ToME no longer enters an infinite loop when fighting in
+ bare-hand combat sylte and bare-hand skill is < 1.
+ - Wiki Bug 523. All types of recall check if the user really wants to leave
+ a unique level.
+ - Wiki Bug 506. ToME no longer crashes attempting to drop non-existant
+ artifacts.
+ - Wiki Bug 419. Use SKILL_BOULDER instead of SKILL_ARCHERY when throwing
+ a boulder.
+ - Wiki Bug 411. Black breath no longer gets 3 chances to happen.
+ - Wiki Bug 394 and 393. Inertia Control autocasting can no longer cast a
+ spell when antimagic field > 0 or when wielding a dark sword.
+ - Wiki Bug 334. Companions are no longer saved in dungone save files.
+ - Work around Mac OS 10.4.11 getlogin() bug - Neil
+ - Wiki Bug 397. ToME no longer crashes on XP and Vista systems when viewing
+ quests or other info from the knowledge menu.
+ * Change the control file to reflect the repo change to git.
+ * Update the build depends to reflect the fact that we now also compile
+ the SDL version, which is the preferred back end.
+
+ -- Manoj Srivastava <srivasta@debian.org> Tue, 27 May 2008 17:35:12 -0500
+
+tome (2.3.4-2) unstable; urgency=low
+
+ * Added patch to allow saving games when playing optional modules. Patch
+ from Bob Vincent Closes: #428910
+
+ -- Manoj Srivastava <srivasta@debian.org> Fri, 08 Feb 2008 00:38:49 -0600
+
+tome (2.3.4-1) unstable; urgency=low
+
+ * New upstream release
+ Interface changes:
+ - Fix window position saving on Mac OS, patch by John Love-Jensen
+ -- Neil
+ Bug fixes:
+ - Remove buggy trap of Stair Movement -- Neil
+ - Fix typo in one monster's flags - Iain
+ - Fix word wrapping in character sheet, patch from "ZizzoTheInfinite"
+ -- Neil
+
+ -- Manoj Srivastava <srivasta@debian.org> Fri, 27 Oct 2006 09:58:27 -0500
+
+tome (2.3.3-3) unstable; urgency=low
+
+ * Updated copyright file.
+ * remove obsolete libxaw8-dev dependency
+
+ -- Manoj Srivastava <srivasta@debian.org> Fri, 16 Jun 2006 08:49:48 -0500
+
+tome (2.3.3-2) unstable; urgency=low
+
+ * Updated build dependencies.
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 8 Feb 2006 10:45:14 -0600
+
+tome (2.3.3-1) unstable; urgency=low
+
+ * New upstream release
+ Interface changes:
+ - Miscellaneous documentation, spelling and grammar fixes. -- gwooledge
+ - Update AC display after fixing armor in the buildings. -- gwooledge
+ - Fix damage display for Thaumaturgy ball spells. -- gwooledge
+ - Honor exp_need option when displaying object experience. -- gwooledge
+ - Restored and updated some missing help files. -- gwooledge
+ - Handling of Command key modified in Mac OS X UI. It should be accessible
+ in macros now if it wasn't before -- Neil
+ Gameplay changes:
+ - Lost sword quest rewards always give a minimum skill modifier of 0.3.
+ -- gwooledge
+ - (Mass) Genocide damage is applied all at once to avoid bug #228.
+ -- gwooledge
+ Monster changes:
+ - Kavlax should be many-headed. -- gwooledge
+ - Regular (non-Joke, non-Cth, non-Z) monsters should not breathe nuke,
+ because it has a side effect we don't want in ToME -- Neil
+ Object changes:
+ - Removed pointless slays, brands, and bonuses on Pick of Erebor -- Neil
+ - When examining books, demonology equipment and instruments in stores, show
+ both the object's powers and its spells. -- gwooledge
+ - Junk should stack just like skeletons. Patch by StarweaverBlue.
+ -- gwooledge
+ - Mac OS X builds now put all the game data into the bundle, storing all
+ user data in the user's Library (some preferences in
+ Library/Preferences/net.t-o-m-e.tome.plist, the rest in
+ Library/Application Support/ToME. -- Neil
+ Player changes:
+ - All new partial summon upkeep formula -- neil
+ Dungeon changes:
+ - Edit one vault to open up some inaccessible rooms -- Neil
+ - A certain early trap should be less deadly (and appear a bit later).
+ -- gwooledge
+ Bug fixes:
+ - Alchemy: disallow repowering double-ego items, unless the character has
+ the artifact creation ability. Based on patch by Andrey Egoshin.
+ -- gwooledge
+ - Lost sword quest skill reward probabilities were computed incorrectly.
+ Fix suggested by Dan Rosenberry. -- gwooledge
+ - Don't let a player trick the Valar by getting drained and re-gaining
+ levels -- Neil
+ - Don't allow Runecraft and Thaumaturgy spells to go explode inside walls
+ and seep through -- Neil
+ - When consuming magic essences, don't stop prematurely. Based on patch
+ by Andrey Egoshin. -- gwooledge
+ - Upkeep cost for partial summons was not always charged. -- gwooledge
+ - Some staves were being generated with the wrong tval, causing several bugs
+ including (but not limited to) staves being unrechargeable. -- gwooledge
+ - Saving throw was not calculated correctly. -- gwooledge
+ - Disallow negative experience alchemy abuses. Based on patch by Andrey
+ Egoshin. -- gwooledge
+ - Nonliving and undead pets won't be angered by lack of breathable air.
+ -- gwooledge
+ - Don't use the "POSIX" setuid calls on Mac OS X, as they apparently break
+ compilation -- neil
+ - Certain monster spells were hard-coded for the wrong number of equipment
+ slots. -- gwooledge
+ - Incorrect operator used in cave generation code. Effect unknown, but it
+ *might* possibly fix some of the Orc cave crashes.-- gwooledge
+ - Don't allow uniques or quest monsters to just disappear to the move of
+ another monster -- Neil
+ - Attempt to work around some crashes in the fractal cave generator -- Neil
+
+ -- Manoj Srivastava <srivasta@debian.org> Fri, 30 Dec 2005 15:54:19 -0600
+
+tome (2.3.2-1) unstable; urgency=low
+
+ * New upstream release.
+ Interface changes:
+ - If easy_disarm is off, don't trigger known traps while walking normally.
+ Added a new extended command "blunder" to let players trigger traps on
+ purpose. -- gwooledge
+ - Lots of documentation, spelling and grammar fixes, including:
+ * the now-outdated race/class ability tables, replaced with skill tables
+ * the missing documentation for the set of extended commands
+ * far too many others to mention here
+ -- gwooledge
+ - Added sanity and speed to the character screen (and hence the text dump).
+ Consolidated HP and SP into one line to make room. -- gwooledge
+ - Allow shopping to use the correct keys in roguelike mode. -- gwooledge
+ - Push a certain potion type a little deeper into the dungeon -- Neil
+ - Make piety display light blue when praying, to make it easier to tell
+ when you're praying. -- gwooledge
+ - Don't display ordinary resists when there's also an immunity to the same
+ element, in an object description. -- gwooledge
+ - Display the (colored) character for uniques in the Known Uniques list (~2).
+ -- gwooledge
+ - Add "Check abilities" extended command/macro. This gives roguelike keyset
+ players a way to access the ability screen other than "\N", although it's
+ still one more keystroke than "\N" is.... -- gwooledge
+ - Clean up some offensive messages, patch courtesy of 'The Fury' -- Neil
+ - Include the resistances grid on character sheets dumped on death.
+ This makes them consistent with the ones generated before death, and
+ is more informative and useful for post mortem analyses. -- gwooledge
+ - Examining a totem will recall the monster it summons -- Neil
+ - Examining a corpse will recall the monster it was -- Neil
+
+ Object changes:
+ - Prevent random artifact bolts from giving extra blows -- Neil
+ - Correct the types of certain artifact trap sets to match their weights
+ and descriptions. -- gwooledge
+ - Potions of Cure Insanity were too cheap. -- gwooledge
+
+ Player changes:
+ - Warriors no longer get a secret special three bonus blows spread over the
+ 50 character levels. The three blows are now tied to Weaponmastery.
+ Module authors should adjust accordingly, or their warriors may get three
+ blows they didn't have before. -- Neil
+
+ Bug fixes:
+ - Don't allow trap doors on quest levels or on chests. -- gwooledge
+ - Update view after high-powered globe of light. -- gwooledge
+ - Don't allow use of stairs (any < or > movement command) while rooted
+ to the floor (by the Yavanna spell). -- gwooledge
+ - Try again to keep traps from wrecking a certain plot element -- Neil
+ - Fix module file handling for multi-user installs. Now character sheets,
+ automatizer file, and the rest will be read and written in
+ ~/.tome/2.3/modulename as they should. -- Neil
+ - Try harder to save persistent levels when recalling out -- Neil
+ - Fix all sub-racial skill bonuses, along with Maia racial skill bonuses
+ -- Neil
+ * Bug fix: "tome must be build against libxaw7", thanks to serge
+ (Closes: #305759).
+
+ -- Manoj Srivastava <srivasta@debian.org> Thu, 11 Aug 2005 15:03:52 -0500
+
+tome (2.3.1-1) unstable; urgency=low
+
+ * New upstream release.
+ - Fix loading and saving of skills, I hope. Unfortunately this breaks save
+ compatiability, though. The saves must be deleted again. -- Neil
+ - Fix negative skills -- Neil
+ - Don't use weaponmastery combat when weaponmastery skill is negative -- Neil
+
+ -- Manoj Srivastava <srivasta@debian.org> Sat, 22 Jan 2005 17:33:40 -0600
+
+tome (2.3.0-1) unstable; urgency=low
+
+ * New upstream release.
+
+ Gameplay changes:
+ - Added the new Mimic shapes and updated the old ones -- masmarangio
+ - Destroying items manually now takes no time -- neil
+ - Added the spell Sterilize and Staves of Sterilization from ToME 3.0.0.
+ - Added the spell Inertia Control from ToME 3.0.0 -- masmarangio
+
+ Object changes:
+ - Removed portable holes as have been useless for as long as merchants have
+ been removed from game. --fearoffours
+ - k_info.txt: Changed comments and descriptions of the items, mostly from
+ the wiki (Bug # 176) and added missing descriptions (IdeaArchive)
+ Added article (&) in the name of armours (Bug # 81),
+ The spelling of some item names was changed: Scroll of Enchant Armour,
+ *Enchant Armour*, Curse Armour, Summon Monsters, Basilard
+ Added COULD2H to the Claymore and MUST2H to the Espadon.
+ - ra_info.txt: Added a STR-increasing part without combat bonuses for diggers
+ - e_info.txt: Diggers cannot be of Earthquakes anymore (there are combat boni
+ involved) - perhaps an own ego type should be added... -- masmarangio
+ - No more blessed boomerangs -- neil
+
+ Player changes:
+ - Class no longer influences the internal Angband 'skills' of Disarming,
+ Magic Devices, Saving Throw, Stealth, Searching, Perception, Hand-to-Hand
+ combat, Missile Combat, and Throwing. ToME skills instead have the same
+ effect for all classes. -- neil
+ - Water Bite no longer has a damage cap -- neil
+ - Except for infravision, all innate class or racial effects on skills are
+ gone. All skills have equal effect for all classes, and races now give
+ starting skill bonuses. -- Neil
+ - Mages are more geared toward a mix of Magic and Combat, while Sorcerors
+ have more options than pure Sorcery -- Neil
+ - Priests disarm as well as Warriors do now -- neil
+
+ Misc changes:
+ - a_info.txt: Updated names of artifacts in the comments -- masmarangio
+ - object.pkg: Added psychometry() for easier mindcraft testing.
+ - birth.txt, index.txt : Corrected and added abbreviations
+ gen_idx.lua: removed non-existent file and sorted file list
+ - Updated luckspoiler -- masmarangio
+ - Typo in s_fire.lua, from the wiki -- masmarangio
+ - rm_skeleton.txt, rm_zombie.txt: They cannot restore life force, and zombies
+ are not resistant to nether -- masmarangio
+ - Helpfile updates for all character classes. -- masmarangio
+ - util.pkg: Added lite_spot() and note_spot() for modules -- masmarangio
+ - g_melkor.txt: Added fire resistance for worshippers of Melkor
+ - p_info.txt: Removed the useless skill Prayer for Maiar -- masmarangio
+ - help file documentation restructuring, copying appropriate rewrites from
+ wiki. -- fearoffours
+ - Various minor changes to helpfiles, reflecting current changes to
+ documentaiton on the wiki. --fearoffours
+ - k_info.txt: Fixed name of the commented out portable holes -- masmarangio
+ - Fixed some typographical errors, mostly from the wiki:
+ cmd1.c: [The monster] fall -> falls, deleted space (Bug # 80 from the wiki)
+ k_info.txt: Added & for Climbing sets (Bug # 81 from the wiki)
+ q_one.c: You felt -> You fell (Bug # 94 from the wiki)
+ monster2.c: It tries to breed but he fails: he -> it (Bug # 98 from the wiki)
+ bldg.c: Changed wording of the soothsayer (Bug # 106 from the wiki)
+ tables.c: Minor changes in the One Ring quest (Bug # 117 from the wiki)
+ q_invas.c: jumps out of the between -> appears, deleted spaces,
+ added single quotes in direct speech (Bug # 119 from the wiki)
+ q_between.c: Deleted space, changed comments -- masmarangio
+ - book-4.txt: Capitalised 'Ring' (Bug # 135 from the wiki) -- masmarangio
+ - options.txt: Also removed the options from the help file -- masmarangio
+ - cmd6.c: replaced the recall activation code by recall_player -- masmarangio
+ - monster1.c: missing spaces in description (Bug # 169) -- masmarangio
+ - Modules need to define three new variables to control the chance or
+ random artifact generation. random_artifact_weapon_chance,
+ random_artifact_armor_chance, random_artifact_jewelry_chance control
+ the chance for different types of items. -- neil
+ - mods_aux.lua: Added default values for random artifact generation;
+ updated the skill values -- masmarangio
+ - cmd6.c: protect evil -> protection from evil, s_stick.lua: town -> surface
+ q_betwen.c, q_invas.c: speak -> speaks (from the forum) -- masmarangio
+ - tr_info.txt: Spelling of Lite (Bug # 182), Armor, Paralyzing -- masmarangio
+ - The (Ctrl-Q) Quest screen now shows which number god quest you have been given
+ and an additional line in your character dump shows how many have been
+ successfully completed. -- fearoffours
+ - Help updates from the wiki - lots of it Maylith's work, esp FAQ updates.
+ -- fearoffours
+ - Corrected the description of the Disarm, Call the Elements and Channel
+ Elements spells (without changing the code) (Bug # 175) -- masmarangio
+ - tome-faq.txt, index.txt: Typo (Bug # 196) -- masmarangio
+ - s_info.txt: Antimagic: generates -> generate (Bug # 198) -- masmarangio
+ - powers.c: replaced the recall power code by recall_player
+ q_troll.c: Fixed typos from the wiki (Bug # 208) -- masmarangio
+ - tables.c: Removed harpers and some other small changes (Bug # 212)
+ cmd6.c: Added "and" in the description of ACT_ROHAN (Bug # 213)
+ -- masmarangio
+ - m_demono.txt, s_demon.lua: armor -> armour class (Bug # 217)
+ - dun3.18: description of DimGates: fills -> fill (Bug # 223)
+ -- masmarangio
+ - init1.c: The parser adds missing spaces at the end of the
+ description of artifacts, like it did for objects. -- masmarangio
+ - Race, class and race modifier help files updates to reflect changes
+ in skill bonuses. -- fearoffours
+ Some changes to random artifact and scrolls of artifact creation
+ (See Bugs # 206, 222, 226 on the wiki):
+ - externs.h: Moved some functions listed under spells2.c to proper sections
+ - k_info.txt: Added "mundane" to the description of the scroll
+ - q_ultrag.c: Quest texts changed as reported in Bug # 210 -- masmarangio
+ - spells.lua: Sorted the Conveyance spells by level (Bug # 233)
+ -- masmarangio
+ - Helpfiles reflect changes to skills (priest disarming and racial
+ spirituality update). -- fearoffours
+ - library.lua: Added OBJ_FOUND_REWARD to the tome (Bug # 237) -- masmarangio
+
+ Dungeon changes:
+ - Added the first new special level from ToME 3.0.0, Galleon in Helcaraxe
+ -- masmarangio
+ - Added the special level Factory in the Illusory Castle -- masmarangio
+ - dungeon.c: Level of the Death dungeon is the minimum level from d_info.txt
+
+ Bug fixes:
+ - dungeon.c: Light should consume fuel at a rate of 1 / turn -- masmarangio
+ - A store (e.g. the mathom house) can contain up to 255 items (in defines.h
+ STORE_INVEN_MAX limited the number of items to 24) (Note: the limit is
+ stored in a byte in loadsaves.c) -- masmarangio
+ - s_meta.lua: Inertia controlled spells are not casted in wilderness mode.
+ s_mana.lua: Inertia level of Disruption Shield is 9 (needed spell level 45)
+ m_meta.txt: Added a list of controllable spells -- masmarangio
+ - p_info.txt: Archers and Rangers gain the missing Spirituality skill
+ p_info.txt: Removed the old Mimic Cloak (new cloak in player.lua)
+ - p_info.txt: Thunderlords start with Stealth -16.000 (from the wiki)
+ - cmd7.c: Fixed Alchemy recharging bug (thanks to Scott)
+ - al_info.txt: Removed the old Mimic Potions -- masmarangio
+ - monspeak.txt: Added some lines for Groo to fix a bug -- masmarangio
+ - files.c: Corrected display of Climb flag, immunity to Nether, negative
+ pvals < -9. Added Sentient, Clone, Spider ESP flags. -- masmarangio
+ - files.c: Added flags from the gods and spell schools to the character
+ screen. Added also flags from wielded symbiotes. -- masmarangio
+ - cmd4.c: Quest list without random quests in DL > 98 -- masmarangio
+ - randart.c: An item with pval > 0 (e.g. an Elven Cloak) can gain parts
+ with a max_pval = 0 (e.g. resistances and immunities) -- masmarangio
+ - ow_info.txt: missing C: lines reduced the purse to 0 -- masmarangio
+ - object1.c: don't wield bolts with instruments and pebbles with boomerangs
+ (Bug # 127 from the wiki) -- masmarangio
+ - object1.c: mention_use and describe_use list all available slots, check all
+ weapon weights and distinguish between instruments and bows (Bug # 87)
+ object1.c: Res Chaos implies Res Confusion (for the character screen)
+ xtra1.c: Magical breath implies Water breath (from the wiki) -- masmarangio
+ - Z and Cth monster options removed, as in ToME 3. This fixes, among other
+ things, the Death Orb issues. -- neil
+ - a_info.txt: Corrected two typos (Bugs # 140, 146 from the wiki)
+ k_info.txt: Changed description of Bastard Sword, added RES_CHAOS to the
+ known flags of a Blade of Chaos (it's mentioned in the description)
+ files.c: Terminated highscore strings with \0, changed total_points
+ slightly to prevent an overflow error (Bug # 139 from the wiki)
+ v_info.txt: Corrected the x size of vault 99 and 104 -- masmarangio
+ - dungeon.c: Set dungeon_type to wilderness when recalling out. This should
+ fix the various Moria recalling bugs (Bug # 95)
+ - spells2.c: Redraw trap status after passwall (Bug # 51)
+ store.c: Removed '))' when displaying a large store -- masmarangio
+ - al_info.txt: removed recipe for Scroll of Spell (Bug # 179), added recipe
+ for Staff of Sterilisation (Bug # 77) -- masmarangio
+ - cmd6.c: Added timeout for junkarts in the activation description (ugly fix)
+ tables.c: Replaced ACT_CURE_POISON by not used ACT_CURE_POIS -- masmarangio
+ - Once a god quest is failed, you will not receive any more god quests.
+ -- fearoffours
+ - bldg.c: Research item (Bug # 191) and research monster are now paid
+ correctly -- masmarangio
+ - spells2.c: Diggers cannot be enchanted with scrolls -- masmarangio
+ - files.c: Fixed displayed barehanded damage (Patch from Scott, Bug # 195)
+ -- masmarangio
+ - files.c: Remove / restore CAVE_VIEW before / after saving the game.
+ This solves a long standing bug with the lighting of the dungeon
+ since the temporary arrays that hold the position of the viewed
+ grids are not stored in the save file (Bug # 19). -- masmarangio
+ - cmd6.c: the selection of artifactable items can be escaped now
+ randart.c: *ID* the object before listing the powers, some re-ordering
+ - spells2.c: Re-add diggers to item_tester_artifactable, and limit the
+ selection to normal items due to complains (no ego items or artifacts)
+ - ra_info.txt: Fixed two W-lines with 4 entries and added a missing C-line
+ - k_info.txt: Reduced throwing damage of totems to 1 -- masmarangio
+ - st_info.txt: Fixed the changed item names in the stores (StatusReport3)
+ - Fix for disappearing artifacts (especially guardian artifacts) during load / save
+ thanks to SimonSorc
+
+ -- Manoj Srivastava <srivasta@debian.org> Tue, 7 Dec 2004 19:22:40 -0600
+
+tome (2.2.7-1) unstable; urgency=low
+
+ * New upstream release. This is a bug fix release.
+
+ -- Manoj Srivastava <srivasta@debian.org> Sun, 13 Jun 2004 22:02:32 -0500
+
+tome (2.2.6-2) unstable; urgency=low
+
+ * Bug fix: "XSIisms in postinst, prerm; violates policy 10.4", thanks to
+ Clint Adams (Closes: #237959).
+
+ -- Manoj Srivastava <srivasta@debian.org> Sun, 14 Mar 2004 12:24:19 -0600
+
+tome (2.2.6-1) unstable; urgency=low
+
+ * New upstream release
+
+ Interfaces changes:
+ * Pressing Escape gets you out of the pet dismissal list -- neil
+
+ Misc changes:
+ * Helpfiles: bearform combat help, music typos, barbarian
+ revisions. -- fearoffours
+ * - Typos in the description of arrows, shots, bolts; punctuation in
+ the mushroom quest -- masmarangio
+ * HOOK_CALC_BONUS_END hooks
+ * Helpfiles: corrected starting equipment of mindcrafters -- masmarangio
+ * - Backport of old helpfile updates: no Geomancy for Alchemists and
+ Rune- crafters, updated luck spoiler, corruption spoiler in
+ crpt_aux.lua, a link in skills.txt, an example in
+ automatizer.txt. monsters3.c: changed 'golem' to 'creature', since the
+ Mind Steal Spell also allows to control a monster. -- masmarangio
+ * Typo (massage -> message) from the forum -- masmarangio
+ * Capitalisation in the names of junkarts -- masmarangio
+ * mindcraft_info: Corrected and expanded the info for mindcraft powers -- masmarangio
+ * Small corrections in luck spoiler, description of Manwe's Blessing
+ and m_mimic.txt -- masmarangio
+
+ Bug fixes:
+ * Prevent recall to Lost Temple before getting the quest -- neil
+ * Automatizer now accepts TV_TOTEM -- neil
+ * Some vaults incorrectly named -- fearoffours
+ * Wight quest crash fix by 'amaurea' -- neil
+ * God choosen at random was broken -- masmarangio
+ * Typo in q_one.c (or -> of)
+ * Don't use a turn when cancelling a possessor action -- neil
+ * - summon_true crashed the game with a summon skill < 1 -- masmarangio
+ * - test_object_wish: aware status is saved and restored -- masmarangio
+ * God quest will no longer give inaccurate or misleading
+ directions. It also will now give directions from two static features,
+ and an approximate, relative distance from each of those points. --
+ fearoffours
+
+ * Bug fix: "Error in /usr/lib/menu/tome", thanks to Philipp Kolmann
+ (Closes: #234871).
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 10 Mar 2004 23:45:55 -0600
+
+tome (2.2.5-1) unstable; urgency=low
+
+ * New upstream release
+ Monsters changes:
+ * Drain attacks can't drain the one artifact wand, staff, or horn -- neil
+
+ Objects changes:
+ * Some items that give damage bonuses will be more clear about it -- neil
+
+ Bug fixes:
+ * Fix monster possessor crash -- neil
+ * Fix random quest skill requester -- neil
+ * Fix crash when picking up ammo into your quiver that can't be
+ fired with the launcher you are wielding -- neil
+ * God quest fix -- neil
+ * Disintegrating walls should not bother Yavanna -- neil
+ * Yet another try at fixing levelled carried monsters. Their
+ attacks are affected by their level now and their hitpoints are
+ handled better. I should have said this for the last release,
+ but un-hypnotize any pets before upgrading from 2.2.2. Otherwise
+ compatibility is fine. -- neil
+ * Semi-wraiths should not be hurt by climbing over mountains -- neil
+ * Fixed Flame of Udun spell
+ * Diggers are not weapons and should not be displayed as such -- neil
+
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 24 Dec 2003 10:59:50 -0600
+
+tome (2.2.4-1) unstable; urgency=low
+
+ * New upstream Bugfix version.
+ * Redid the build system.
+
+ -- Manoj Srivastava <srivasta@debian.org> Mon, 24 Nov 2003 23:52:59 -0600
+
+tome (2.2.3-1) unstable; urgency=low
+
+ * New upstream Bugfix version.
+ * Fixed the menuentry for tome, quoting a " char. closes: Bug#207648
+
+ -- Manoj Srivastava <srivasta@debian.org> Fri, 03 Oct 2003 10:58:24 -0500
+
+tome (2.2.2.0-CVS031001-1) unstable; urgency=low
+
+ * Fixed usage of chown root.root in the rules files.
+ * This is a major security update; hundreds of potential buffer
+ overflows (most of them not exploitable) have been fixed in this
+ version. At the request of upstream, this audit was done on the CVS
+ version.
+
+ -- Manoj Srivastava <srivasta@debian.org> Wed, 27 Aug 2003 02:05:02 -0500
+
+tome (2.2.2-2) unstable; urgency=low
+
+ * Added clarifications to the copyright file, after personal
+ communications from Dark God <darkgod@t-o-m-e.net>, the author of the
+ Tome variant.
+
+ -- Manoj Srivastava <srivasta@debian.org> Sat, 2 Aug 2003 13:59:46 -0500
+
+tome (2.2.2-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Manoj Srivastava <srivasta@debian.org> Fri, 1 Aug 2003 22:02:44 -0500
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 00000000..ec635144
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 00000000..e913e79a
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,58 @@
+Source: tome
+VCS-Git: https://anonscm.debian.org/git/users/srivasta/debian/tome.git
+VCS-Browser: https://anonscm.debian.org/gitweb/?p=users/srivasta/debian/tome.git;a=summary
+Section: non-free/games
+Priority: optional
+Maintainer: Manoj Srivastava <srivasta@debian.org>
+Homepage: https://github.com/tome2/tome2
+Build-Depends: debhelper (>= 9.0.0), libjansson-dev, cmake,
+ libncurses5-dev | libncurses-dev | ncurses-dev, libboost-all-dev,
+ libsdl-image1.2-dev, libsdl-ttf2.0-dev, libx11-dev, dpkg-dev (>= 1.16.0)
+Standards-Version: 3.9.6
+
+Package: tome
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: single-player text-based roguelike dungeon simulation game
+ Tome, short for Troubles of Middle Earth, is a single-player,
+ text-based, dungeon simulation derived from the game angband, which
+ in turn is derived from the older game Moria, which was in turn based
+ on Rogue. It is often described as a "roguelike" game because the
+ look and feel of the game is still quite similar to Rogue.
+ .
+ In tome, the player may choose from a number of races and classes
+ when creating a character, and then "run" that character over a
+ period of days, weeks, even months, attempting to win the game by
+ defeating Morgoth, who lurks somewhere in the depths of the dungeon.
+ .
+ The ultimate goal of the game is to develop a character strong enough
+ to defeat Morgoth, who resides on dungeon level 100. Upon doing so,
+ you will receive the exalted status of "winner" and your character may
+ retire.
+ .
+ The first main difference from Angband a new player to ToME will need
+ to be aware of is that it has implemented a skills based system where
+ instead of the adventurer automatically improving in their abilities
+ as they become more experienced, they get 5 skill points to spend on
+ their character's abilities and can therefore customise what type of
+ character they play. See the skills help file for details
+ .
+ The second major difference is that the main dungeon from Angband has
+ been split into 4 "dungeons", each of which cover a different
+ portion of the dungeon's levels. Note that not all of the places are
+ actually "dungeons" - some are caves, forests, etc.
+ .
+ The third main difference between Vanilla Angband and ToME is the
+ difference in character classes and races, as well as a very
+ different magic system. ToME also offers the player the ability to
+ undertake a series of quests. It is not required for any adventurer
+ to undertake the fixed quests, but they can result in some nice
+ rewards.
+ .
+ Morgoth was 'the Dark Enemy of Middle-Earth' during its First Age. He
+ was banished by the Valar (offspring of Eru, "god" of J.R.R.
+ Tolkien's world) at the end of the First Age and thus never appears
+ in The Lord of the Rings, set during the Third Age. Sauron, who does
+ figure into those tales, was the most powerful of his servants. Read
+ Tolkien's 'The Silmarillion' for more on the legends of Middle-Earth.
+ Angband is a reference to Morgoth's "prison of iron."
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 00000000..fddf3483
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,313 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: tome2
+Source: https://github.com/tome2/tome2.git
+
+Files: *
+Copyright: 1989 Christopher J. Stuart]
+ 1989 James E. Wilson, Christopher J. Stuart
+ 1989 James E. Wilson, Robert A. Koeneke
+ 1989,1997, 1999,2001 James E. Wilson
+ 1989-1999 James E. Wilson, Robert A. Koeneke, Robert Ruehlmann
+ 1991,1993 Microsoft Corporation. All rights reserved
+ 1997 Ben Harrison
+ 1997 Ben Harrison, and others
+ 1997 Ben Harrison, and others
+ 1997 Ekkehard Kraemer, and others
+ 1997 Keith Randall, and others
+ 1997 Peter Ammon
+ 1997 Ron Anderson
+ 1997 Skirmantas Kligys, and others
+ 1997 Torbjorn Lindgren, and others
+ 1997, 2000-2001 Robert Ruehlmann
+ 1997,1989, 2001 Robert A. Koeneke]
+ 1999,2001-2003 Dark God
+ 1999-2001 Dark God
+ 2001 Andrew Sidwell
+ 2001 Gregory Velichansky (hmaon@bumba.net)
+ 2001 James E. Wilson, Robert A. Koeneke, DarkGod
+ 2001, 2002 Hansj�g Malthaner
+ 2001-2003 DarkGod
+ 2003 DarkGod.
+ 2003-2004 Neil Stevens <neil@hakubi.us>
+ 2004 Ethan Stump <estump@seas.upenn.edu>
+ 2012 Bardur Arantsson
+License: __UNKNOWN__
+ This software may be copied and distributed for educational, research,
+ and not for profit purposes provided that this copyright and statement
+ are included in all such copies. Other copyrights may also apply.
+ .
+ All changes made by Ben Harrison, Robert Ruehlmann, and many other Angband
+ developers are also available under the GNU GENERAL PUBLIC LICENSE.
+ Note that this doesn't influence the current distribution, since parts of
+ the source are still only available under the old Moria/Angband license.
+ Until all parts of Angband are distributed under the GPL the only valid
+ license remains the original Moria/Angband license.
+ .
+ Umoria Version 5.2, patch level 1
+ .
+ Angband Version 2.0 Alex Cutler, Andy Astrand, Sean Marsh, Geoff Hill,
+ Charles Teague.
+ .
+ Angband Version 2.4 : 5/09/93
+ .
+ Angband Version 2.5 : 12/05/93 Charles Swiger.
+ .
+ Angband Version 2.6 : 9/04/94
+ .
+ Angband Version 2.7 : 1/1/95 Ben Harrison
+ .
+ Note that these copyright messages apply to an ancient version
+ of Angband, as in, from pre-2.4.frog-knows days, and thus the
+ reference to "5.0" is rather misleading...
+ .
+ UNIX ANGBAND Version 5.0
+ .
+ Original copyright message follows.
+ .
+ ANGBAND Version 4.8 COPYRIGHT (c) Robert Alan Koeneke
+ .
+ I lovingly dedicate this game to hackers and adventurers
+ everywhere...
+ .
+ Designer and Programmer:
+ Robert Alan Koeneke
+ University of Oklahoma
+ .
+ Assistant Programmer:
+ Jimmey Wayne Todd
+ University of Oklahoma
+ .
+ Assistant Programmer:
+ Gary D. McAdoo
+ University of Oklahoma
+ .
+ UNIX Port:
+ James E. Wilson
+ UC Berkeley
+ wilson@ernie.Berkeley.EDU
+ ucbvax!ucbernie!wilson
+ .
+ ANGBAND may be copied and modified freely as long as the above
+ credits are retained. No one who-so-ever may sell or market
+ this software in any form without the expressed written consent
+ of the author Robert Alan Koeneke.
+ .
+ The Tome variant has been modified by Dark God <darkgod@t-o-m-e.net>,
+ and is available under the same terms as Angband.
+ .
+
+Files: vendor/bandit/bandit/external/optionparser.h
+Copyright: 2012 Matthias S. Benkmann
+License: __UNKNOWN__
+ The "Software" in the following 2 paragraphs refers to this file containing
+ the code to The Lean Mean C++ Option Parser.
+ The "Software" does NOT refer to any other files which you
+ may have received alongside this file (e.g. as part of a larger project that
+ incorporates The Lean Mean C++ Option Parser).
+ .
+ Permission is hereby granted, free of charge, to any person obtaining a copy
+ of this software, to deal in the Software without restriction, including
+ without limitation the rights to use, copy, modify, merge, publish,
+ distribute, sublicense, and/or sell copies of the Software, and to permit
+ persons to whom the Software is furnished to do so, subject to the following
+ conditions:
+ The above copyright notice and this permission notice shall be included in
+ all copies or substantial portions of the Software.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ NOTE: It is recommended that you read the processed HTML doxygen documentation
+ rather than this source. If you don't know doxygen, it's like javadoc for C++.
+ If you don't want to install doxygen you can find a copy of the processed
+ documentation at
+ .
+ http://optionparser.sourceforge.net/
+
+Files: debian/tome.postinst
+ debian/tome.postrm
+ debian/tome.preinst
+ debian/tome.prerm
+Copyright: 2003-2016 Manoj Srivastava <srivasta@debian.org>
+License: GPL-2.0+
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program; if not, write to the Free Software
+ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ .
+ On Debian systems, the complete text of the GNU General Public License
+ Version 2 can be found in `/usr/share/common-licenses/GPL-2'.
+
+Files: vendor/bandit/cmake/cotire.cmake
+Copyright: 2012-2013 Sascha Kratky
+License: MIT
+ Permission is hereby granted, free of charge, to any person
+ obtaining a copy of this software and associated documentation
+ files (the "Software"), to deal in the Software without
+ restriction, including without limitation the rights to use,
+ copy, modify, merge, publish, distribute, sublicense, and/or sell
+ copies of the Software, and to permit persons to whom the
+ Software is furnished to do so, subject to the following
+ conditions:
+ .
+ The above copyright notice and this permission notice shall be
+ included in all copies or substantial portions of the Software.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+ OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
+ HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+ WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+ FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+ OTHER DEALINGS IN THE SOFTWARE.
+
+
+Files: src/main-sdl.c
+Copyright: 2003-2004 Neil Stevens <neil@hakubi.us>
+ 2004 Ethan Stump <estump@seas.upenn.edu> //
+License: __UNKNOWN__
+ // Permission is hereby granted, free of charge, to any person obtaining a copy
+ // of this software and associated documentation files (the "Software"), to deal
+ // in the Software without restriction, including without limitation the rights
+ // to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ // copies of the Software, and to permit persons to whom the Software is
+ // furnished to do so, subject to the following conditions:
+ //
+ // The above copyright notice and this permission notice shall be included in
+ // all copies or substantial portions of the Software.
+ //
+ // THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ // IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ // FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ // THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ // AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ // CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ //
+ // Except as contained in this notice, the name(s) of the author(s) shall not be
+ // used in advertising or otherwise to promote the sale, use or other dealings
+ // in this Software without prior written authorization from the author(s).
+
+Files: vendor/bandit/bandit/assertion_frameworks/snowhouse/LICENSE_1_0.txt
+Copyright: __NO_COPYRIGHT__
+License: __UNKNOWN__
+ Permission is hereby granted, free of charge, to any person or organization
+ obtaining a copy of the software and accompanying documentation covered by
+ this license (the "Software") to use, reproduce, display, distribute,
+ execute, and transmit the Software, and to prepare derivative works of the
+ Software, and to permit third-parties to whom the Software is furnished to
+ do so, all subject to the following:
+ .
+ The copyright notices in the Software and this entire statement, including
+ the above license grant, this restriction and the following disclaimer,
+ must be included in all copies of the Software, in whole or in part, and
+ all derivative works of the Software, unless such copies or derivative
+ works are solely in the form of machine-executable object code generated by
+ a source language processor.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
+ SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
+ FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
+ ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
+ DEALINGS IN THE SOFTWARE.
+
+Files: vendor/bandit/LICENSE.md
+Copyright: 2013 Joakim Karlsson
+License: __UNKNOWN__
+ Permission is hereby granted, free of charge, to any person obtaining a copy
+ of this software and associated documentation files (the "Software"), to deal
+ in the Software without restriction, including without limitation the rights
+ to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ copies of the Software, and to permit persons to whom the Software is
+ furnished to do so, subject to the following conditions:
+ .
+ The above copyright notice and this permission notice shall be included in
+ all copies or substantial portions of the Software.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+
+
+Files: src/main-gtk2.c
+Copyright: 2000-2001 Robert Ruehlmann, Steven Fuerst, Uwe Siems, "pelpel", et al.
+License: __UNKNOWN__
+ This software may be copied and distributed for educational, research,
+ and not for profit purposes provided that this copyright and statement
+ are included in all such copies.
+ .
+ .
+ .
+ Robert Ruehlmann wrote the original Gtk port. Since an initial work is
+ much harder than enhancements, his effort worth more credits than
+ others.
+ .
+ Steven Fuerst implemented colour-depth independent X server support,
+ graphics, resizing and big screen support for ZAngband as well as
+ fast image rescaling that is included here.
+ .
+ Uwe Siems wrote smooth tiles rescaling code (on by default).
+ Try this with 8x8 tiles. They *will* look different.
+ .
+ "pelpel" wrote another colour-depth independent X support
+ using GdkRGB, added several hooks and callbacks for various
+ reasons, wrote no-backing store mode (off by default),
+ added GtkItemFactory based menu system, introduced
+
+Files: vendor/bandit/bandit/assertion_frameworks/snowhouse/example/container_spec.cpp
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/example/custom_matchers_test.cpp
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/example/exceptions_tests.cpp
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/assert.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/assertionexception.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/assertmacro.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/constraints.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/containsconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/endswithconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/equalsconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/equalscontainerconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/equalswithdeltaconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/expressions/andexpression.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/expressions/expression.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/expressions/expression_fwd.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/expressions/notexpression.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/expressions/orexpression.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/fulfillsconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/haslengthconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/isgreaterthanconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/isgreaterthanorequaltoconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/islessthanconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/islessthanorequaltoconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/constraints/startswithconstraint.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/exceptions.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/constraintadapter.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/constraintlist.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/expressionbuilder.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/fluent.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/andoperator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/collections/alloperator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/collections/atleastoperator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/collections/atmostoperator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/collections/collectionconstraintevaluator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/collections/collectionoperator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/collections/exactlyoperator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/collections/noneoperator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/constraintoperator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/invalidexpressionexception.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/notoperator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/fluent/operators/oroperator.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/stringize.h
+ vendor/bandit/bandit/assertion_frameworks/snowhouse/snowhouse/stringizers.h
+Copyright: 2010-2013 Joakim Karlsson & Kim Gräsman
+License: BSL-1.0
+ Distributed under the Boost Software License, Version 1.0.
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 00000000..c31c20b0
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,87 @@
+#!/usr/bin/make -f
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+package:=tome
+SRCTOP:= $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
+INSTALL = install
+ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+ INSTALL_PROGRAM += -s
+endif
+install_file = $(INSTALL) -p -o root -g root -m 644
+install_program = $(INSTALL) -p -o root -g root -m 755
+install_script = $(INSTALL) -p -o root -g root -m 755
+make_directory = $(INSTALL) -p -d -o root -g root -m 755
+PREFIX=/usr
+
+## libdir should be /var/lib/games/$(package)/
+LIBDIR = /var/games/$(package)
+BINDIR = $(PREFIX)/bin
+MANDIR = $(PREFIX)/share/man
+MAN1DIR = $(MANDIR)/man1
+MAN6DIR = $(MANDIR)/man6
+DOCDIR = $(PREFIX)/share/doc/$(package)
+INFODIR = $(PREFIX)/share/info
+
+TMPTOP = $(SRCTOP)/debian/$(package)
+PKG_LIBDIR = $(TMPTOP)/$(LIBDIR)
+PKG_BIN = $(TMPTOP)$(BINDIR)
+PKG_MANDIR = $(TMPTOP)$(MANDIR)
+PKG_DOC = $(TMPTOP)$(DOCDIR)
+PKG_INFO = $(TMPTOP)$(INFODIR)
+PKG_MENU = $(TMPTOP)$(PREFIX)/lib/menu
+PKG_DBASE = $(TMPTOP)$(PREFIX)/share/doc-base
+PKG_MAN = $(PKG_MANDIR)/man6
+PKG_MENUDIR= $(TMPTOP)$(PREFIX)/share/menu
+PKG_STATLIB= $(TMPTOP)$(PREFIX)/lib/$(package)
+
+DPKG_ARCH := dpkg-architecture
+export DEB_HOST_MULTIARCH := $(shell $(DPKG_ARCH) $(ha) -qDEB_HOST_MULTIARCH)
+
+%:
+ dh $@
+
+override_dh_auto_configure:
+ dh_auto_configure -- -DSYSTEM_INSTALL:BOOL=true
+
+override_dh_auto_build:
+ bash -n debian/tome.postinst
+ bash -n debian/tome.postrm
+ bash -n debian/tome.prerm
+ bash -n debian/tome.preinst
+ bash -n debian/Tome.sh
+
+override_dh_install:
+ $(make_directory) $(TMPTOP)/etc/$(package) $(PKG_STATLIB)
+ chmod 0644 $(PKG_LIBDIR)/edit/s_factory.map
+ chmod 0644 $(PKG_LIBDIR)/edit/s_ship.map
+ (cd $(PKG_LIBDIR); mv edit file pref $(TMPTOP)/etc/$(package); \
+ ln -s /etc/$(package)/edit . ; \
+ ln -s /etc/$(package)/file . ; \
+ ln -s /etc/$(package)/pref . ; )
+ (cd $(PKG_LIBDIR); mv help $(PKG_STATLIB); \
+ ln -s $(PREFIX)/lib/$(package)/help . ; )
+ for i in save/delete.me ; do \
+ mkdir -p $(PKG_LIBDIR)/save \
+ chmod 0644 $(PKG_LIBDIR)/$$i; \
+ done
+ rm -f $(PKG_LIBDIR)/apex/scores.raw
+ find $(PKG_LIBDIR) -type f -name .cvsignore -exec rm {} \;
+
+override_dh_fixperms:
+ dh_fixperms
+ chgrp -R games $(TMPTOP)/etc/$(package)/* $(PKG_STATLIB)/* $(PKG_LIBDIR) \
+ $(TMPTOP)/usr/games/tome
+ chmod g+ws $(PKG_LIBDIR)/data/
+ chmod g+s $(TMPTOP)/usr/games/tome
+
+override_dh_clean:
+ dh_clean
+ touch ./lib/apex/delete.me
+ touch ./lib/data/delete.me
+ touch ./lib/info/delete.me
+ touch ./lib/save/delete.me
+ touch ./lib/user/delete.me
+
+#Local variables:
+#mode: makefile
+#End:
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 00000000..d3827e75
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+1.0
diff --git a/debian/tome.docs b/debian/tome.docs
new file mode 100644
index 00000000..613091a0
--- /dev/null
+++ b/debian/tome.docs
@@ -0,0 +1,3 @@
+debian/README.debian
+debian/NEWS.Debian
+debian/Xresources
diff --git a/debian/tome.menu b/debian/tome.menu
new file mode 100644
index 00000000..b2e6f56e
--- /dev/null
+++ b/debian/tome.menu
@@ -0,0 +1,90 @@
+?package(tome):needs="text" section="Games/Adventure" title="Tome" \
+ longtitle="A single-player, text-based, dungeon simulation." \
+ description="Tome, short for Troubles of Middle Earth, is a single-player, \
+ text-based, dungeon simulation derived from the game angband, which \
+ in turn is derived from the older game Moria, which was in turn based \
+ on Rogue. It is often described as a \"roguelike\" game because the \
+ look and feel of the game is still quite similar to Rogue. \
+ \
+ In tome, the player may choose from a number of races and classes \
+ when creating a character, and then \"run\" that character over a \
+ period of days, weeks, even months, attempting to win the game by \
+ defeating Morgoth, who lurks somewhere in the depths of the dungeon. \
+ \
+ The ultimate goal of the game is to develop a character strong enough \
+ to defeat Morgoth, who resides on dungeon level 100. Upon doing so, \
+ you will receive the exalted status of \"winner\" and your character may \
+ retire. \
+ \
+ The first main difference from Angband a new player to ToME will need \
+ to be aware of is that it has implemented a skills based system where \
+ instead of the adventurer automatically improving in their abilities \
+ as they become more experienced, they get 5 skill points to spend on \
+ their character's abilities and can therefore customise what type of \
+ character they play. See the skills help file for details \
+ \
+ The second major difference is that the main dungeon from Angband has \
+ been split into 4 \"dungeons\", each of which cover a different \
+ portion of the dungeon's levels. Note that not all of the places are \
+ actually \"dungeons\" - some are caves, forests, etc. \
+ \
+ The third main difference between Vanilla Angband and ToME is the \
+ difference in character classes and races, as well as a very \
+ different magic system. ToME also offers the player the ability to \
+ undertake a series of quests. It is not required for any adventurer \
+ to undertake the fixed quests, but they can result in some nice \
+ rewards. \
+ \
+ Morgoth was 'the Dark Enemy of Middle-Earth' during its First Age. He \
+ was banished by the Valar (offspring of Eru, \"god\" of J.R.R. \
+ Tolkien's world) at the end of the First Age and thus never appears \
+ in The Lord of the Rings, set during the Third Age. Sauron, who does \
+ figure into those tales, was the most powerful of his servants. Read \
+ Tolkien's 'The Silmarillion' for more on the legends of Middle-Earth. \
+ Angband is a reference to Morgoth's \"prison of iron.\"" \
+ command="/usr/games/tome"
+?package(tome):needs="X11" section="Games/Adventure" title="Tome"\
+ longtitle="A single-player, text-based, dungeon simulation." \
+ description="Tome, short for Troubles of Middle Earth, is a single-player, \
+ text-based, dungeon simulation derived from the game angband, which \
+ in turn is derived from the older game Moria, which was in turn based \
+ on Rogue. It is often described as a \"roguelike\" game because the \
+ look and feel of the game is still quite similar to Rogue. \
+ \
+ In tome, the player may choose from a number of races and classes \
+ when creating a character, and then \"run\" that character over a \
+ period of days, weeks, even months, attempting to win the game by \
+ defeating Morgoth, who lurks somewhere in the depths of the dungeon. \
+ \
+ The ultimate goal of the game is to develop a character strong enough \
+ to defeat Morgoth, who resides on dungeon level 100. Upon doing so, \
+ you will receive the exalted status of \"winner\" and your character may \
+ retire. \
+ \
+ The first main difference from Angband a new player to ToME will need \
+ to be aware of is that it has implemented a skills based system where \
+ instead of the adventurer automatically improving in their abilities \
+ as they become more experienced, they get 5 skill points to spend on \
+ their character's abilities and can therefore customise what type of \
+ character they play. See the skills help file for details \
+ \
+ The second major difference is that the main dungeon from Angband has \
+ been split into 4 \"dungeons\", each of which cover a different \
+ portion of the dungeon's levels. Note that not all of the places are \
+ actually \"dungeons\" - some are caves, forests, etc. \
+ \
+ The third main difference between Vanilla Angband and ToME is the \
+ difference in character classes and races, as well as a very \
+ different magic system. ToME also offers the player the ability to \
+ undertake a series of quests. It is not required for any adventurer \
+ to undertake the fixed quests, but they can result in some nice \
+ rewards. \
+ \
+ Morgoth was 'the Dark Enemy of Middle-Earth' during its First Age. He \
+ was banished by the Valar (offspring of Eru, \"god\" of J.R.R. \
+ Tolkien's world) at the end of the First Age and thus never appears \
+ in The Lord of the Rings, set during the Third Age. Sauron, who does \
+ figure into those tales, was the most powerful of his servants. Read \
+ Tolkien's 'The Silmarillion' for more on the legends of Middle-Earth. \
+ Angband is a reference to Morgoth's \"prison of iron.\"" \
+ command="/usr/games/tome"
diff --git a/debian/tome.postinst b/debian/tome.postinst
new file mode 100644
index 00000000..50a53dec
--- /dev/null
+++ b/debian/tome.postinst
@@ -0,0 +1,253 @@
+#! /bin/sh
+# -*- Mode: Sh -*-
+# postinst ---
+# Author : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com )
+# Created On : Fri Nov 14 11:25:07 2003
+# Created On Node : glaurung.green-gryphon.com
+# Last Modified By : Manoj Srivastava
+# Last Modified On : Sun Mar 14 12:19:27 2004
+# Last Machine Used: glaurung.internal.golden-gryphon.com
+# Update Count : 16
+# Status : Unknown, Use with caution!
+# HISTORY :
+# Description :
+#
+# arch-tag: 5401e9ef-39cc-4aee-96a4-61dfb8f32cf7
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+#
+
+# Abort if any command returns an error value
+set -e
+
+package_name=tome
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+# This script is called as the last step of the installation of the
+# package. All the package's files are in place, dpkg has already done
+# its automatic conffile handling, and all the packages we depend of
+# are already fully installed and configured.
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+# The following idempotent stuff doesn't generally need protecting
+# against being run in the abort-* cases.
+
+# Install info files into the dir file
+##: install-info --quiet --section "section pattern" "Section Title" \
+##: --description="Name of the document" /usr/info/${package_name}.info
+
+# Create stub directories under /usr/local
+##: if test ! -d /usr/local/lib/${package_name}; then
+##: if test ! -d /usr/local/lib; then
+##: if mkdir /usr/local/lib; then
+##: chown root.staff /usr/local/lib || true
+##: chmod 2775 /usr/local/lib || true
+##: fi
+##: fi
+##: if mkdir /usr/local/lib/${package_name}; then
+##: chown root.staff /usr/local/lib/${package_name} || true
+##: chmod 2775 /usr/local/lib/${package_name} || true
+##: fi
+##: fi
+
+# Arrange for a daemon to be started at system boot time
+##: update-rc.d ${package_name} default >/dev/null
+
+case "$1" in
+ configure)
+ # Configure this package. If the package must prompt the user for
+ # information, do it here.
+ # Install emacs lisp files
+ ##:if [ -x /usr/lib/emacsen-common/emacs-package-install ]; then
+ ##: /usr/lib/emacsen-common/emacs-package-install $package_name
+ ##:fi
+
+ for file in /var/games/${package_name}/edit/*.txt; do
+ base_file=$(basename $file .txt);
+ cp -f $file /var/games/${package_name}/data/${base_file}.raw;
+ done
+
+ if [ ! -e /var/lib/games/${package_name}/apex/scores.raw ]; then
+ touch /var/games/${package_name}/apex/scores.old
+ fi
+
+ if [ -d /var/lib/games/${package_name}/save ]; then
+ for file in $(find /var/lib/games/${package_name}/save/ -type f); do
+ if [ ! -f $file ]; then
+ continue;
+ fi
+ base=$(basename $file)
+ if [ "X$base" = "Xdelete.me" ]; then
+ continue;
+ fi
+ if [ -s /var/games/${package_name}/save/$base ]; then
+ mv -f $file /var/games/${package_name}/save/$base.old
+ else
+ mv -f $file /var/games/${package_name}/save/$base
+ fi
+ done
+ fi
+
+ # create a scores file if none exists
+ test ! -d /var/games/${package_name}/apex || touch /var/games/${package_name}/apex/scores.raw
+
+ # Clean up ownership
+ chown -R root:games /var/games/${package_name}/
+
+ # Make sure the game can write the files it needs to write to
+ test ! -d /var/games/${package_name}/user || chmod -R g+w /var/games/${package_name}/user
+ test ! -d /var/games/${package_name}/bone || chmod -R g+w /var/games/${package_name}/bone
+ test ! -d /var/games/${package_name}/save || chmod -R g+w /var/games/${package_name}/save
+ test ! -d /var/games/${package_name}/apex || chmod -R g+w /var/games/${package_name}/apex
+
+ # Activate menu-methods script
+ ##: chmod a+x /etc/menu-methods/${package_name}
+
+ # Update ld.so cache
+ ##: ldconfig
+
+ # Make our version of a program available
+ ##: update-alternatives \
+ ##: --install /usr/bin/program program /usr/bin/alternative 50 \
+ ##: --slave /usr/man/man1/program.1.gz program.1.gz \
+ ##: /usr/man/man1/alternative.1.gz
+
+ # Tell ucf that the file in /usr/share/foo is the latest
+ # maintainer version, and let it handle how to manage the real
+ # confuguration file in /etc. This is how a static configuration
+ # file can be handled:
+ ##:if which ucf >/dev/null 2>&1; then
+ ##: ucf /usr/share/${package_name}/configuration /etc/${package_name}.conf
+ ##:fi
+
+ ### We could also do this on the fly. The following is from Tore
+ ### Anderson:
+
+ #. /usr/share/debconf/confmodule
+
+ ### find out what the user answered.
+ # db_get foo/run_on_boot
+ # run_on_boot=$RET
+ # db_stop
+
+ ### safely create a temporary file to generate our suggested
+ ### configuration file.
+ # tempfile=`tempfile`
+ # cat << _eof > $tempfile
+ ### Configuration file for Foo.
+
+ ### this was answered by you, the user in a debconf dialogue
+ # RUNONBOOT=$run_on_boot
+
+ ### this was not, as it has a sane default value.
+ # COLOUROFSKY=blue
+
+ #_eof
+
+ ### Note that some versions of debconf do not release stdin, so
+ ### the following invocation of ucf may not work, since the stdin
+ ### is never coneected to ucfr.
+
+ ### now, invoke ucf, which will take care of the rest, and ask
+ ### the user if he wants to update his file, if it is modified.
+ #ucf $tempfile /etc/foo.conf
+
+ ### done! now we'll just clear up our cruft.
+ #rm -f $tempfile
+
+
+
+ # There are three sub-cases:
+ if test "${2+set}" != set; then
+ # We're being installed by an ancient dpkg which doesn't remember
+ # which version was most recently configured, or even whether
+ # there is a most recently configured version.
+ :
+
+ elif test -z "$2" || test "$2" = "<unknown>"; then
+ # The package has not ever been configured on this system, or was
+ # purged since it was last configured.
+ :
+
+ else
+ # Version $2 is the most recently configured version of this
+ # package.
+ :
+
+ fi ;;
+ abort-upgrade)
+ # Back out of an attempt to upgrade this package FROM THIS VERSION
+ # to version $2. Undo the effects of "prerm upgrade $2".
+ ##:
+
+ ;;
+ abort-remove)
+ if test "$2" != in-favour; then
+ echo "$0: undocumented call to \`postinst $*'" 1>&2
+ exit 0
+ fi
+ # Back out of an attempt to remove this package, which was due to
+ # a conflict with package $3 (version $4). Undo the effects of
+ # "prerm remove in-favour $3 $4".
+ :
+
+ ;;
+ abort-deconfigure)
+ if test "$2" != in-favour || test "$5" != removing; then
+ echo "$0: undocumented call to \`postinst $*'" 1>&2
+ exit 0
+ fi
+ # Back out of an attempt to deconfigure this package, which was
+ # due to package $6 (version $7) which we depend on being removed
+ # to make way for package $3 (version $4). Undo the effects of
+ # "prerm deconfigure in-favour $3 $4 removing $6 $7".
+ :
+
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+#DEBHELPER#
+
+# Install doc base documentation
+##:if which install-docs >/dev/null 2>&1; then
+##: if [ -e /usr/share/doc-base/${package_name} ]; then
+##: install-docs -i /usr/share/doc-base/${package_name}
+##: fi
+##:fi
+
+exit 0
diff --git a/debian/tome.postrm b/debian/tome.postrm
new file mode 100644
index 00000000..f813beec
--- /dev/null
+++ b/debian/tome.postrm
@@ -0,0 +1,175 @@
+#! /bin/sh
+# -*- Mode: Sh -*-
+# postrm ---
+# Author : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com )
+# Created On : Fri Nov 14 12:22:20 2003
+# Created On Node : glaurung.green-gryphon.com
+# Last Modified By : Manoj Srivastava
+# Last Modified On : Sat Nov 29 01:54:26 2003
+# Last Machine Used: glaurung.green-gryphon.com
+# Update Count : 10
+# Status : Unknown, Use with caution!
+# HISTORY :
+# Description :
+#
+# arch-tag: 56802d51-d980-4822-85c0-28fce19ed430
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+
+
+# Abort if any command returns an error value
+set -e
+
+package_name=tome
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+# This script is called twice during the removal of the package; once
+# after the removal of the package's files from the system, and as
+# the final step in the removal of this package, after the package's
+# conffiles have been removed.
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ remove)
+ # This package is being removed, but its configuration has not yet
+ # been purged.
+ :
+
+ # Remove diversion
+ ##: dpkg-divert --package ${package_name} --remove --rename \
+ ##: --divert /usr/bin/other.real /usr/bin/other
+
+ # ldconfig is NOT needed during removal of a library, only during
+ # installation
+
+ ;;
+ purge)
+ # This package has previously been removed and is now having
+ # its configuration purged from the system.
+ ##:
+
+ # we mimic dpkg as closely as possible, so we remove configuration
+ # files with dpkg backup extensions too:
+ ### Some of the following is from Tore Anderson:
+ ##: for ext in '~' '%' .bak .dpkg-tmp .dpkg-new .dpkg-old .dpkg-dist; do
+ ##: rm -f /etc/${package_name}.conf$ext
+ ##: done
+
+ if [ -d /var/lib/games/${package_name}/ ]; then
+ rm -rf /var/lib/games/${package_name}/
+ fi
+ if [ -d "/var/games/${package_name}" ]; then
+ rm -rf "/var/games/${package_name}"
+ fi
+
+ # remove the configuration file itself
+ ##: rm -f /etc/${package_name}.conf
+
+ # and finally clear it out from the ucf database
+ ##: ucf --purge /etc/${package_name}.conf
+
+ # Remove symlinks from /etc/rc?.d
+ ##: update-rc.d ${package_name} remove >/dev/null
+
+ ##: if [ -e /usr/share/debconf/confmodule ]; then
+ ##: # Purge this package's data from the debconf database.
+ ##: . /usr/share/debconf/confmodule
+ ##: db_purge
+ ##: fi
+
+ # This package has previously been removed and is now having
+ # its configuration purged from the system.
+ ##: for flavour in emacs20 emacs21; do
+ ##: STARTDIR=/etc/$flavour/site-start.d;
+ ##: STARTFILE="${package_name}-init.el";
+ ##: if [ -e "$STARTDIR/20$STARTFILE" ]; then
+ ##: rm -f "$STARTDIR/20$STARTFILE"
+ ##: fi
+ ##: done
+
+ ;;
+ disappear)
+ if test "$2" != overwriter; then
+ echo "$0: undocumented call to \`postrm $*'" 1>&2
+ exit 0
+ fi
+ # This package has been completely overwritten by package $3
+ # (version $4). All our files are already gone from the system.
+ # This is a special case: neither "prerm remove" nor "postrm remove"
+ # have been called, because dpkg didn't know that this package would
+ # disappear until this stage.
+ ##:
+
+ ;;
+ upgrade)
+ # About to upgrade FROM THIS VERSION to version $2 of this package.
+ # "prerm upgrade" has been called for this version, and "preinst
+ # upgrade" has been called for the new version. Last chance to
+ # clean up.
+ ##:
+
+ ;;
+ failed-upgrade)
+ # About to upgrade from version $2 of this package TO THIS VERSION.
+ # "prerm upgrade" has been called for the old version, and "preinst
+ # upgrade" has been called for this version. This is only used if
+ # the previous version's "postrm upgrade" couldn't handle it and
+ # returned non-zero. (Fix old postrm bugs here.)
+ ##:
+
+ ;;
+ abort-install)
+ # Back out of an attempt to install this package. Undo the effects of
+ # "preinst install...". There are two sub-cases.
+ ##:
+
+ if test "${2+set}" = set; then
+ # When the install was attempted, version $2's configuration
+ # files were still on the system. Undo the effects of "preinst
+ # install $2".
+ :
+
+ else
+ # We were being installed from scratch. Undo the effects of
+ # "preinst install".
+ :
+
+ fi ;;
+ abort-upgrade)
+ # Back out of an attempt to upgrade this package from version $2
+ # TO THIS VERSION. Undo the effects of "preinst upgrade $2".
+ ##:
+
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+#DEBHELPER#
+exit 0
diff --git a/debian/tome.preinst b/debian/tome.preinst
new file mode 100644
index 00000000..482380f0
--- /dev/null
+++ b/debian/tome.preinst
@@ -0,0 +1,103 @@
+#! /bin/sh
+# -*- Mode: Sh -*-
+# preinst ---
+# Author : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com )
+# Created On : Fri Nov 14 12:12:04 2003
+# Created On Node : glaurung.green-gryphon.com
+# Last Modified By : Manoj Srivastava
+# Last Modified On : Sat Nov 29 01:53:45 2003
+# Last Machine Used: glaurung.green-gryphon.com
+# Update Count : 6
+# Status : Unknown, Use with caution!
+# HISTORY :
+# Description :
+#
+# arch-tag: d6a3672d-acb3-4f6c-9984-bad17d8ce0aa
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+#
+
+
+# Abort if any command returns an error value
+set -e
+
+package_name=tome
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+
+
+# This script is called before this version of this package is installed.
+# When this script is called, the package's files have not been unpacked
+# yet.
+
+case "$1" in
+ install)
+ # About to install this package.
+ ##:
+ if [ -L /var/games/${package_name}/data ]; then
+ rm /var/games/${package_name}/data
+ fi
+
+ if [ -d /usr/lib/${package_name}/data ]; then
+ rm -rf /usr/lib/${package_name}/data
+ fi
+
+ # Add a diversion. This is one of the few things which may be done
+ # before installing any files from the package.
+ #: dpkg-divert --package foo --add --rename \
+ ##: --divert /usr/bin/other.real /usr/bin/other
+
+ # There are two sub-cases:
+ if test "${2+set}" = set; then
+ # The configuration files from version $2 of this package are
+ # still on the system.
+ :
+
+ else
+ # There is no existing configuration; install from scratch.
+ :
+
+ fi ;;
+ upgrade)
+ # About to upgrade this package from version $2 TO THIS VERSION.
+ # "prerm upgrade" has already been called for the old version of
+ # this package.
+ ##:
+ if [ -L /var/games/${package_name}/data ]; then
+ rm /var/games/${package_name}/data
+ fi
+
+ if [ -d /usr/lib/${package_name}/data ]; then
+ rm -rf /usr/lib/${package_name}/data
+ fi
+
+ ;;
+ abort-upgrade)
+ # Back out of an attempt to upgrade this package FROM THIS VERSION to
+ # version $2. Undo the effects of "postrm upgrade $2".
+ :
+
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+#DEBHELPER#
+
+exit 0
diff --git a/debian/tome.prerm b/debian/tome.prerm
new file mode 100644
index 00000000..d6b5bd27
--- /dev/null
+++ b/debian/tome.prerm
@@ -0,0 +1,133 @@
+#! /bin/sh
+# -*- Mode: Sh -*-
+# prerm ---
+# Author : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com )
+# Created On : Fri Nov 14 12:16:39 2003
+# Created On Node : glaurung.green-gryphon.com
+# Last Modified By : Manoj Srivastava
+# Last Modified On : Sun Mar 14 12:19:51 2004
+# Last Machine Used: glaurung.internal.golden-gryphon.com
+# Update Count : 11
+# Status : Unknown, Use with caution!
+# HISTORY :
+# Description :
+#
+# arch-tag: a4c1a888-137d-4800-98f8-93d0365422d8
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+#
+
+# Abort if any command returns an error value
+set -e
+
+package_name=tome
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+
+# This script is called as the first step in removing the package from
+# the system. This includes cases where the user explicitly asked for
+# the package to be removed, upgrade, automatic removal due to conflicts,
+# and deconfiguration due to temporary removal of a depended-on package.
+
+# Info files should be uninstalled from the dir file in any case.
+##: install-info --quiet --remove /usr/info/${package_name}.info
+
+case "$1" in
+ remove)
+ # This package about to be removed.
+ ##:
+ if [ -L /usr/doc/$package_name ]; then
+ rm -f /usr/doc/$package_name
+ fi
+
+ # Remove package-specific directories from /usr/local. Don't try
+ # to remove standard directories such as /usr/local/lib.
+ ##: if test -d /usr/local/lib/${package_name}; then
+ ##: rmdir /usr/local/lib/${package_name} || true
+ ##: fi
+
+ # Deactivate menu-methods script.
+ ##: chmod a-x /etc/menu-methods/${package_name}
+
+ # Withdraw our version of a program.
+ ##: update-alternatives --remove program /usr/bin/alternative
+
+ # Get rid of the installed docs
+ ##: if which install-docs >/dev/null 2>&1; then
+ ##: install-docs -r $package_name
+ ##: fi
+
+ # Get rid of the byte compiled files
+ ##: if [ -x /usr/lib/emacsen-common/emacs-package-remove ]; then
+ ##: /usr/lib/emacsen-common/emacs-package-remove $package_name
+ ##: fi
+
+ if [ -L /usr/doc/$package_name ]; then
+ rm -f /usr/doc/$package_name
+ fi
+
+ # There are two sub-cases:
+ if test "${2+set}" = set; then
+ if test "$2" != in-favour; then
+ echo "$0: undocumented call to \`prerm $*'" 1>&2
+ exit 0
+ fi
+ # We are being removed because of a conflict with package $3
+ # (version $4), which is now being installed.
+ :
+
+ else
+ # The package is being removed in its own right.
+ :
+
+ fi ;;
+ deconfigure)
+ if test "$2" != in-favour || test "$5" != removing; then
+ echo "$0: undocumented call to \`prerm $*'" 1>&2
+ exit 0
+ fi
+ # Package $6 (version $7) which we depend on is being removed due
+ # to a conflict with package $3 (version $4), and this package is
+ # being deconfigured until $6 can be reinstalled.
+ :
+
+ ;;
+ upgrade)
+ # Prepare to upgrade FROM THIS VERSION of this package to version $2.
+ ##:
+
+ if [ -L /usr/doc/$package_name ]; then
+ rm -f /usr/doc/$package_name
+ fi
+
+ ;;
+ failed-upgrade)
+ # Prepare to upgrade from version $2 of this package TO THIS VERSION.
+ # This is only used if the old version's prerm couldn't handle it,
+ # and returned non-zero. (Fix old prerm bugs here.)
+ :
+
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+#DEBHELPER#
+
+exit 0
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 00000000..025f96fe
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,5 @@
+version=4
+
+opts="pgpmode=none filenamemangle=s%v?(\d[-a-z\d.]*)\.tar\.gz%tome-$1.tar.gz%" \
+ https://github.com/tome2/tome2/tags \
+ (?:.*?/)?v?(\d[-\d.a-z]*)\.tar\.gz debian uupdate
diff --git a/src/config.h b/src/config.h
index 290ec624..8ff00f8f 100644
--- a/src/config.h
+++ b/src/config.h
@@ -58,7 +58,7 @@
/*
* OPTION: Include "ncurses.h" instead of "curses.h" in "main-gcu.c"
*/
-/* #define USE_NCURSES */
+#define USE_NCURSES
@@ -92,7 +92,7 @@
* that file.
*/
#ifndef DEFAULT_PATH
-# define DEFAULT_PATH "./lib/"
+# define DEFAULT_PATH "/var/games/tome"
#endif
@@ -105,7 +105,7 @@
/*
* OPTION: Person to bother if something goes wrong.
*/
-#define MAINTAINER "darkgod@t-o-m-e.net"
+#define MAINTAINER "tome@packages.debian.org"
/*